/* C code produced by gperf version 2.1 (K&R C version) */
/* Command-line: gperf -aptCT -N in_word_set_cmdlist cmd.list  */


#include "config.h"
#include "cmd.h"
#include "Config.h"
#include "cmd-def.h"

#define MIN_WORD_LENGTH 4
#define MAX_WORD_LENGTH 16
#define MIN_HASH_VALUE 4
#define MAX_HASH_VALUE 57
/*
   18 keywords
   54 is the maximum key range
*/

static int
hash (register const char *str, register int len)
{
  static const unsigned char hash_table[] =
    {
     57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
     57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
     57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
     57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
     57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
     57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
     57, 57, 57, 57, 57, 57, 57, 30, 57, 57,
     57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
     57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
     57, 57, 57, 57, 57, 57, 57,  0, 57, 25,
      0,  0, 57,  5, 15, 57, 57, 10, 10,  5,
      0, 57, 57, 57, 10,  0,  0, 57, 57,  5,
     57,  0, 57, 57, 57, 57, 57, 57,
    };
  return len + hash_table[str[len - 1]] + hash_table[str[0]];
}

const CMDLIST*
in_word_set_cmdlist (register const char *str, register int len)
{

  static const CMDLIST wordlist[] =
    {
      {"",}, {"",}, {"",}, {"",}, 
      {"deny", 			PARAM_ACL,	(CMDFUNC)config_deny},
      {"entry", 			PARAM_BLOCK,    0},
      {"accept", 			PARAM_PORTINFO,	(CMDFUNC)config_accept_port},
      {"",}, {"",}, 
      {"deny_wait",               PARAM_NUM,      (CMDFUNC)config_deny_wait},
      {"allow", 			PARAM_ACL,	(CMDFUNC)config_allow},
      {"",}, 
      {"service_type", 		PARAM_STRING,   (CMDFUNC)config_service_type},
      {"spare_servers", 		PARAM_NUM, 	(CMDFUNC)config_spare_servers},
      {"error_log", 		PARAM_STRING,	(CMDFUNC)config_error_log},
      {"access_log", 		PARAM_STRING,	(CMDFUNC)config_access_log},
      {"",}, 
      {"do_fork",                 PARAM_BOOL,     (CMDFUNC)config_do_fork},
      {"",}, 
      {"max_connection", 		PARAM_NUM,      (CMDFUNC)config_max_connection},
      {"",}, {"",}, 
      {"read_timeout", 		PARAM_NUM,	(CMDFUNC)config_read_timeout},
      {"",}, {"",}, {"",}, {"",}, {"",}, {"",}, 
      {"log_level", 		PARAM_NUM,	(CMDFUNC)config_log_level},
      {"",}, {"",}, 
      {"connect", 		PARAM_PORTINFO,	(CMDFUNC)config_connect_port},
      {"",}, {"",}, {"",}, {"",}, 
      {"CA_make", 		PARAM_PARAM,    (CMDFUNC)config_CA_make},
      {"",}, {"",}, {"",}, 
      {"client_cert_file",        PARAM_READFILE, (CMDFUNC)config_client_cert_file},
      {"CA_cert_file", 		PARAM_READFILE, (CMDFUNC)config_CA_cert_file},
      {"",}, {"",}, {"",}, {"",}, {"",}, {"",}, {"",}, {"",}, {"",}, 
      {"",}, {"",}, {"",}, {"",}, {"",}, 
      {"CA_cert_path",            PARAM_STRING,   (CMDFUNC)config_CA_cert_path},
    };

  if (len <= MAX_WORD_LENGTH && len >= MIN_WORD_LENGTH)
    {
      register int key = hash (str, len);

      if (key <= MAX_HASH_VALUE && key >= MIN_HASH_VALUE)
        {
          register const char *s = wordlist[key].name;

          if (*s == *str && !strcmp (str + 1, s + 1))
            return &wordlist[key];
        }
    }
  return 0;
}
