#ifndef __cmd_h_
#define __cmd_h_

#define CMDFUNC int (*)(void *, void *)

#define PARAM_NUM      0
#define PARAM_STRING   1
#define PARAM_PORTINFO 2
#define PARAM_ACL      3
#define PARAM_BLOCK    4
#define PARAM_BOOL     5
#define PARAM_READFILE 6
#define PARAM_PARAM    7

typedef struct {
  char *name;
  int type;
  int (*func)(void *, void *);
} CMDLIST;

#define DEF_CONFIG_DEFINT(func) int config_##func(Config *obj, int *data)
#define DEF_CONFIG_DEFSTR(func) int config_##func(Config *obj, char *data)

#endif /* __cmd_h_ */
