#ifndef __parse_h_
#define __parse_h_

#ifdef __cplusplus
extern "C" {
#endif

int getTokenStr(char **pp, char *buf, int maxlen);
int getTokenStrUntil(char **pp, char *buf, int maxlen, char term);
int getTokenStrAll(char **pp, char *buf, int maxlen);
int getTokenInt(char **pp, int *pval);
void skipSpace(char **pp);
void skipUntilSpace(char **pp);

int getPort(char *pstr, WORD *port);
int getHost(char *host, DWORD *addr);

int STRNLOWCMP(char *a, char *b, int len);
DWORD getNetmask(DWORD ip);
int getNetwork(char *buf, DWORD *ip);
#ifdef __cplusplus
}
#endif

#endif /* __parse_h_ */
