/* ----------------------------------------------------------------- *
   Copyright (c) 1997 Hitachi Microsoftware Systems, Inc.
   All rights reserved.
 * ----------------------------------------------------------------- */

#ifndef __util_h_
#define __util_h_

#include "common.h"

#ifdef __cplusplus
extern "C" {
#endif

#include <time.h>

void skipSpace(char **p);
void skipUntilSpace(char **p);
void chomp(char *str);
char *addr2str(DWORD a, char *p);
int putErrnoMsg();
FILE *openSearch(char *filename, char *default_path, char *default_filename);
int checkOpenFileForRead(char *filename);
char *addr2str(DWORD a, char *p);
void toLowerString(char *s);

char *getTimeStr(const time_t *, char *, int);

#ifdef __cplusplus
}
#endif

#endif /* __util_h_ */
