#include <stdio.h>
#include <errno.h>

#include "token.h"
#include "common.h"
#include "util.h"

/* ----------------------------------------------------------------- *
   =NAME=
       openSearch - ե򥪡ץ󤹤
   =SYNOPSIS=
       FILE *openConfigFile(char *filename,
                            char *default_path, char *default_filename)

       filename - ե̾
                  NULL ʤСե̾ʤ
                  ǥեȤθѥǥեõ
       default_path - filename ꤵʤȤѥ
       default_filename - filename ꤵʤȤθե̾
   =RETURN=
       0      - ۾ｪλ
       ¾ - file pointer
   =DESCRIPTION=
       1. filename ꤵ줿硢Υե򥪡ץ󤹤롣
          ץǤʤ null ֤
       2. filename ꤵʤä硢 default_path ˻ꤷ
          ѥ default_filename Υեõ
          default_path ϥѥ̾ ';' ڤäƻꤹ롣
          ƤΥѥ򸡺Ƥե뤬ʤ硢 null ֤
 * ----------------------------------------------------------------- */
FILE *openSearch(char *filename, char *default_path, char *default_filename)
{
  FILE *fp;
  int flag = 0;
  char *sp = default_path;
  char path[256];
  char buf_filename[512];

  if (!filename) {
    flag = 1;
    filename = buf_filename;
  }

  while (1) {
    if (flag) {
      skipSpace(&sp);
      if (!*sp) break;
      getTokenStrUntil(&sp, path, 255, ';');
      if (*sp == ';') sp++;
      if (!*path) continue; /* Υȥ̵ */
      if (path[STRLEN(path) - 1] == '/') {
	sprintf(buf_filename, "%s%s", path, default_filename);
      } else {
	sprintf(buf_filename, "%s/%s", path, default_filename);
      }
    }
    if (!checkOpenFileForRead(filename)) {
      if (!flag) break;
      continue;
    }
    fp = fopen(filename, "rt");
    if (fp) return fp;
    return 0;
  }
  errno = ENOENT;
  return 0;
}
