#include <sys/types.h>
#include <sys/socket.h>

#include "config.h"
#include "Socket.h"

int Socket::read(char *buf, int len)
{
#ifndef NO_SSL
  if (ssl) {
    return _SSL_read(ssl, buf, len);
  } else {
#endif
    return recv(s, buf, len, 0);
#ifndef NO_SSL
  }
#endif
}

int Socket::write(char *buf, int len)
{
#ifndef NO_SSL
  if (ssl) {
    return _SSL_write(ssl, buf, len);
  } else {
#endif
    return send(s, buf, len, 0);
#ifndef NO_SSL
  }
#endif
}
